## vorbisenc vorbisenc — Encodes audio in Vorbis format |

## Synopsis

    struct              GstVorbisEnc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstAudioEncoder
                         +----GstVorbisEnc

## Implemented Interfaces

GstVorbisEnc implements GstTagSetter and GstPreset.

## Properties

      "bitrate"                  gint                  : Read / Write
      "last-message"             gchar*                : Read
      "managed"                  gboolean              : Read / Write
      "max-bitrate"              gint                  : Read / Write
      "min-bitrate"              gint                  : Read / Write
      "quality"                  gfloat                : Read / Write

## Description

## Synopsis

### Element Information

plugin | vorbis
author | Monty <monty@xiph.org>, Wim Taymans <wim@fluendo.com>
class | Codec/Encoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-float, rate=(int)[ 1, 200000 ], channels=(int)[ 1, 255 ], endianness=(int)1234, width=(int)32

name | src
direction | source
presence | always
details | audio/x-vorbis

## Details

### struct GstVorbisEnc

    struct GstVorbisEnc;

## Property Details

### The `"bitrate"` property

      "bitrate"                  gint                  : Read / Write

Attempt to encode at a bitrate averaging this (in bps). This uses the bitrate management engine, and is not recommended for most users. Quality is a better alternative. (-1 == disabled).

Allowed values: [G_MAXULONG,250001]

Default value: -1

### The `"last-message"` property

      "last-message"             gchar*                : Read

The last status message.

Default value: NULL

### The `"managed"` property

      "managed"                  gboolean              : Read / Write

Enable bitrate management engine.

Default value: FALSE

### The `"max-bitrate"` property

      "max-bitrate"              gint                  : Read / Write

Specify a maximum bitrate (in bps). Useful for streaming applications. (-1 == disabled).

Allowed values: [G_MAXULONG,250001]

Default value: -1

### The `"min-bitrate"` property

      "min-bitrate"              gint                  : Read / Write

Specify a minimum bitrate (in bps). Useful for encoding for a fixed-size channel. (-1 == disabled).

Allowed values: [G_MAXULONG,250001]

Default value: -1

### The `"quality"` property

      "quality"                  gfloat                : Read / Write

Specify quality instead of specifying a particular bitrate.

Allowed values: [-0.1,1]

Default value: 0.3